BINDING_HEADER_RAID_TARGET_HELPER = "Raid Target"

BINDING_NAME_RAID_TARGET_HELPER_STAR      = "Assign Star"
BINDING_NAME_RAID_TARGET_HELPER_CIRCLE    = "Assign Circle"
BINDING_NAME_RAID_TARGET_HELPER_DIAMOND   = "Assign Diamond"
BINDING_NAME_RAID_TARGET_HELPER_TRIANGLE  = "Assign Triangle"
BINDING_NAME_RAID_TARGET_HELPER_MOON      = "Assign Moon"
BINDING_NAME_RAID_TARGET_HELPER_SQUARE    = "Assign Square"
BINDING_NAME_RAID_TARGET_HELPER_CROSS     = "Assign Cross"
BINDING_NAME_RAID_TARGET_HELPER_SKULL     = "Assign Skull"
BINDING_NAME_RAID_TARGET_HELPER_CLEAR     = "Clear Raid Target"
BINDING_NAME_RAID_TARGET_HELPER_CLEAR_ALL = "Clear All Raid Targets"

RaidTargetHelper = {}

function RaidTargetHelper.SetOrClearRaidTarget(unit, index)
	if (index == 0 or index == GetRaidTargetIndex(unit)) then
		SetRaidTarget(unit, 0)
	else
		SetRaidTarget(unit, index)
	end
end

function RaidTargetHelper.SetRaidTarget(index)
	if (UnitExists("mouseover")) then
		RaidTargetHelper.SetOrClearRaidTarget("mouseover", index)
	elseif (UnitExists("target")) then
		RaidTargetHelper.SetOrClearRaidTarget("target", index)
	end
end

function RaidTargetHelper.ClearRaidTarget()
	RaidTargetHelper.SetRaidTarget(0)
end

function RaidTargetHelper.ClearAllRaidTargets()
	for index = 8, 0, -1 do
		SetRaidTarget("player", index)
	end
end
